# 実行タイプ

スクリプトは複数の異なるシナリオで使用できる。

スクリプトを有効にする場合、実行タイプによってXPipeがスクリプトで何を行うかが決まる。

## スクリプトの初期化

スクリプトをinitスクリプトとして指定すると、シェル環境で選択できるようになる。

さらに、スクリプトが有効になっていれば、互換性のあるすべてのシェルで、init時に自動的に実行される。

例えば、次のような単純なinitスクリプトを作成した場合
```
alias ll="ls -l"
alias la="ls -A"
alias l="ls -CF"
```
スクリプトが有効になっていれば、互換性のあるすべてのシェル・セッションでこれらのエイリアスにアクセスできる。

## シェルスクリプト

通常のシェルスクリプトは、ターミナル上のシェルセッションで呼び出され ることを想定している。
有効にすると、スクリプトはターゲットシステムにコピーされ、 すべての互換シェルでPATHに入れられる。
これにより、ターミナル・セッションのどこからでもスクリプトを呼び出すことができる。
スクリプト名は小文字になり、スペースはアンダースコアに置き換えられるので、簡単にスクリプトを呼び出すことができる。

例えば、次のような`apti`という単純なシェルスクリプトを作成した場合、次のようになる。
```
sudo apt install "$1"
```
スクリプトが有効になっていれば、互換性のあるシステム上で`apti.sh <pkg>`を使ってそれを呼び出すことができる。

## ファイルスクリプト

最後に、ファイルブラウザのインターフェイスからファイル入力を使ってカスタムスクリプトを実行することもできる。
ファイルスクリプトが有効になると、ファイルブラウザに表示され、ファイル入力で実行できるようになる。

例えば、次のような簡単なファイルスクリプトを作成した場合
```
sudo apt install "$@"
```
スクリプトが有効になっていれば、選択したファイルに対してスクリプトを実行できる。

## 複数のタイプ

ファイルスクリプトのサンプルは、上のシェルスクリプトのサンプルと同じである、
スクリプトを複数のシナリオで使用する場合は、スクリプトの実行タイプに複数のチェックボックスを付けることもできる。


