# Типы исполнения

Ты можешь использовать скрипт в нескольких различных сценариях.

При включении скрипта типы выполнения определяют, что XPipe будет делать со скриптом.

## Начальные скрипты

Когда скрипт обозначен как init script, он может быть выбран в среде оболочки.

Более того, если скрипт включен, он будет автоматически запускаться при init во всех совместимых оболочках.

Например, если ты создашь простой init-скрипт типа
```
alias ll="ls -l"
alias la="ls -A"
alias l="ls -CF"
```
ты будешь иметь доступ к этим псевдонимам во всех совместимых сессиях оболочки, если скрипт включен.

## Скрипты оболочки

Обычный shell-скрипт предназначен для вызова в shell-сессии в твоем терминале.
При включении скрипта он будет скопирован в целевую систему и помещен в PATH во всех совместимых оболочках.
Это позволит тебе вызывать скрипт из любого места терминальной сессии.
Имя скрипта будет написано в нижнем регистре, а пробелы будут заменены на подчеркивания, что позволит тебе легко вызывать скрипт.

Например, если ты создашь простой shell-скрипт с именем `apti`, например
```
sudo apt install "$1"
```
ты сможешь вызвать его на любой совместимой системе с помощью `apti.sh <pkg>`, если скрипт включен.

## Скрипты файлов

Наконец, ты также можешь запускать пользовательские скрипты с файловыми входами из интерфейса файлового браузера.
Когда файловый скрипт включен, он будет отображаться в браузере файлов, чтобы его можно было запустить с файловыми входами.

Например, если ты создашь простой файловый скрипт типа
```
sudo apt install "$@"
```
ты сможешь запускать скрипт на выбранных файлах, если он включен.

## Несколько типов

Поскольку пример файлового скрипта такой же, как и пример shell-скрипта выше,
ты видишь, что также можешь поставить несколько галочек напротив типов выполнения скрипта, если он должен использоваться в нескольких сценариях.


