### なし

`publickey` 認証を無効にする。

### SSH エージェント

IDがSSH-Agentに保存されている場合、エージェントが起動するとssh実行ファイルはIDを使用することができる。
XPipeはエージェントプロセスがまだ実行されていない場合、自動的に開始する。

### ページェント (Windows)

Windowsでページャントを使用している場合、XPipeはまずページャントが起動しているかどうかを確認する。
ページャントの性質上、ページャントを実行させるのはユーザーの責任である。
ページェントが実行されている場合、XPipeは最初にページェントが実行されているかどうかを確認する。
ページェントが実行されていれば、XPipeは適切な名前のパイプを
`-oIdentityAgent=...`経由で適切な名前のパイプをsshに渡す。

OpenSSHクライアントには実装上のバグがあり、以下のような問題が発生することがある。
の実装にバグがあることに注意してほしい。

### Pageant (Linux & macOS)

IDがPageantエージェントに保存されている場合、エージェントが起動されるとssh実行ファイルはIDを使用することができる。
XPipeはエージェントプロセスがまだ起動していない場合、自動的に起動する。

### アイデンティティファイル

オプションのパスフレーズとともに ID ファイルを指定することもできる。
このオプションは `ssh -i <file>` と同等である。

これは公開鍵ではなく、*秘密*鍵であることに注意すること。
これを間違えると、sshは不可解なエラーメッセージを出すだけである。

### GPGエージェント

あなたのIDが例えばスマートカードに保存されている場合、 `gpg-agent` を使ってSSHクライアントに提供することができる。
このオプションは、エージェントのSSHサポートがまだ有効になっていない場合、自動的に有効にし、正しい設定でGPGエージェントデーモンを再起動する。

### Yubikey PIV

IDがYubikeyのPIVスマートカード機能で保存されている場合、YubicoのYubikey PIVでIDを取得できる。
Yubico PIV ToolにバンドルされているYubicoのYKCS11ライブラリを使用する。

この機能を使うにはOpenSSHの最新ビルドが必要なので注意。

### カスタムエージェント

ソケットの場所か名前付きパイプの場所をここに指定することで、カスタムエージェントを使うこともできる。
これは `IdentityAgent` オプションを介して渡される。

### カスタムPKCS#11ライブラリ

これは OpenSSH クライアントに、認証を処理する指定された共有ライブラリファイルをロードするように指示する。

この機能を使うには、OpenSSH の最新ビルドが必要であることに注意。
